from tfw.components.source_code_event_handler import SourceCodeEventHandler
from tfw.components.terminado_event_handler import TerminadoEventHandler
from tornado.ioloop import IOLoop

from tfw.config import tfwenv


if __name__ == '__main__':
    eventhandlers = {SourceCodeEventHandler('anchor_webide', tfwenv.WEBIDE_WD),
                     TerminadoEventHandler('anchor_terminado', 'terminado')}
    try:
        IOLoop.instance().start()
    finally:
        for eh in eventhandlers: eh.cleanup()
